package com.fjhx.sale.entity.contract.vo;

import com.fjhx.file.entity.FileInfoVo;
import com.fjhx.sale.entity.contract.po.Contract;
import com.fjhx.sale.entity.contract.po.ContractProduct;
import com.fjhx.sale.entity.contract.po.ContractProject;
import com.fjhx.sale.entity.contract.po.ContractShipment;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * 外销合同表列表查询返回值实体
 *
 * @author
 * @since 2023-04-17
 */
@Getter
@Setter
public class ContractVo extends Contract {

    /**
     * 买方名称
     */
    private String buyCorporationName;

    /**
     * 卖方名称
     */
    private String sellCorporationName;

    /**
     * 买方国家名称
     */
    private String buyCountryName;

    /**
     * 卖方国家名称
     */
    private String sellCountryName;

    /**
     * 买方省名称
     */
    private String buyProvinceName;

    /**
     * 卖方省名称
     */
    private String sellProvinceName;

    /**
     * 买方市名称
     */
    private String buyCityName;

    /**
     * 卖方市名称
     */
    private String sellCityName;

    /**
     * 时间
     */
    private String time;

    /**
     * 合同产品数量
     */
    private BigDecimal cpQuantity;

    /**
     * 已包装数量
     */
    private BigDecimal sumPackQuantity;

    /**
     * 合同产品ID
     */
    private Long contractProductId;

    /**
     * 合同个数
     */
    private Long contractCount;

    /**
     * 总到账认领金额
     */
    private BigDecimal sumClaimMoney;

    /**
     * 交接单附件信息
     */
    List<FileInfoVo> fileInfoVos;

    /**
     * 交接单附件信息
     */
    List<FileInfoVo> packageFileInfoVOList;

    /**
     * 客户标签（存在多个用逗号隔开）
     */
    private String  tag;

    /**
     * 客户名称
     */
    private String customerName;

    /**
     * 金额CNY
     */
    private BigDecimal amountCNY;

    /**
     * 新到款状态
     */
    private String refundStatusNew;

    private BigDecimal refundMoney;

    /**
     * 流程id
     */
    private Long flowId;

    public BigDecimal getRefundMoney() {
        return sumClaimMoney;
    }


    List<ContractProduct> contractProductList;

    List<ContractProject> contractProjectList;

    List<ContractShipment> contractShipmentList;

    /**
     * 合同类型字典值
     */
    private String contractTypeVal;

}

